Subject: bug#6548: edmacro-mode omits to call `run-mode-hooks'

From: David Reitter <[email-masked]>
Date: Thu, 1 Jul 2010 14:00:07 -0400

It seems that edmacro-mode omits to call `run-mode-hooks', which means that `change-major-mode-hook' is not run.

Begin forwarded message:

> 
> Loose description:  Create and edit a keyboard macro.  You get the above
> complaint in the *Messages* buffer.
> 
> More precise, for form's sake:  Enter 
> 
>    ^X ( a ^X ) M-x edit-last-kbd-macro RET ^X B *Messages* RET
> 
> The antepenultimate line says:
> 
>    Warning: Bug in edmacro-mode: it forgets to call `run-mode-hooks'
> 
> I have no idea what this means, but it seems worth reporting.
> 
> I get this behavior in every version of Aquamacs that I have (from
> 22.3.1 up through 24.0.50.1) but not in any plain Gnu emacs.
> 
> /Larry Denenberg
> [email-masked]
> http://larry.denenberg.com/
> 
> In GNU Emacs 23.2.1 (i386-apple-darwin9.8.0, NS apple-appkit-949.54)
> of 2010-05-09 on braeburn.aquamacs.org - Aquamacs Distribution 2.0
> Windowing system distributor `Apple', version 10.3.1038
> configured using `configure  '--with-ns' '--without-x' 'CFLAGS=-arch i386 -arch ppc' 'LDFLAGS=-arch i386 -arch ppc''